org.apache.mina.filter.codec

## Interface ProtocolDecoderOutput

- All Known Implementing Classes:
    AbstractProtocolDecoderOutput

      public interface ProtocolDecoderOutput

  Callback for `ProtocolDecoder` to generate decoded messages. `ProtocolDecoder` must call `write(Object)` for each decoded messages.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush(IoFilter.NextFilter nextFilter, IoSession session)` Flushes all messages you wrote via `write(Object)` to the next filter.
    `void` | `write(Object message)` Callback for `ProtocolDecoder` to generate decoded messages.

- - ### Method Detail

    - #### write

          void write(Object message)

      Callback for `ProtocolDecoder` to generate decoded messages. `ProtocolDecoder` must call `write(Object)` for each decoded messages.
      Parameters:
        `message` - the decoded message

    - #### flush

          void flush(IoFilter.NextFilter nextFilter,
                   IoSession session)

      Flushes all messages you wrote via `write(Object)` to the next filter.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.